/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.bescheid.vorgang;

import java.util.Map;
import java.util.UUID;

import de.ozgcloud.bescheid.vorgang.Vorgang.PostfachAddress.PostfachAddressBuilder;

public class PostfachAddressTestFactory {

	public static final String POSTFACH_ID = UUID.randomUUID().toString();
	public static final String FIELD_POSTFACH_ID = "postfachId";

	public static final int TYPE = 1;
	public static final String VERSION = "1.0";

	public static Vorgang.PostfachAddress create() {
		return createBuilder().build();
	}

	public static PostfachAddressBuilder createBuilder() {
		return Vorgang.PostfachAddress.builder()
				.type(TYPE)
				.version(VERSION)
				.identifier(Map.of(FIELD_POSTFACH_ID, POSTFACH_ID));
	}
}
