/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.command;

import java.util.List;

import de.ozgcloud.command.Command;
import de.ozgcloud.vorgang.command.CommandResponse.ResponseCode;

public class CommandResponseTestFactory {

	static final ResponseCode RESPONSE_CODE = ResponseCode.PENDING;
	static final String MESSAGE_CODE = "de.ozgcloud.vorgang.vorgang.command.error.invalid-document-version";
	static final String MESSAGE_PARAM1 = "MessageParam1";
	static final String MESSAGE_PARAM2 = "MessageParam2";
	static final Command COMMAND = CommandTestFactory.create();

	public static CommandResponse create() {
		return createBuilder().build();
	}

	public static CommandResponse.CommandResponseBuilder createBuilder() {
		return CommandResponse.builder()
				.responseCode(RESPONSE_CODE)
				.messageCode(MESSAGE_CODE)
				.messageParameters(List.of(MESSAGE_PARAM1, MESSAGE_PARAM2))
				.command(COMMAND);
	}
}
